web-dev-qa-db-de.com

Die Datei "https://packagist.org/packages.json" konnte nicht heruntergeladen werden

Ich versuche, eine neue Laravel-Instanz mit dem folgenden Befehl zu installieren:

composer create-project laravel/larevel authii --prefer-dist

Ich stoße jedoch auf folgendes Problem:  enter image description here

Meine Internetverbindung ist auf einem Proxy-Server: 192.168.20.9:8080 Außerdem bin ich auf der Windows-Plattform win8.1 x64 und Xampp mit PHP 5.6.11, einer beliebigen Hilfe?

6
Saani

Sie müssen Composer anweisen, einen Proxy zu verwenden.

Linke hier: PHP Composer hinter http-Proxy Und Composer kann keine Dateien herunterladen

Mögen:

export HTTP_PROXY="http://my-corp-proxy.mcdonalds"
php composer.phar install
3
André Schild

Das Update für mich wurde hier gefunden: https://getcomposer.org/doc/articles/troubleshell.md#operation-timed-out-ipv6-issues- .

Ich musste IPv6 an meinen Netzwerkschnittstellen deaktivieren. Nach dem Deaktivieren funktionierte der Komponist einwandfrei.

2
TheTC

Linux-Benutzer können diesen Befehl ausführen, um dieses Problem zu beheben: 

Sudo sh -c "echo 'precedence ::ffff:0:0/96 100' >> /etc/gai.conf"

Mehr Informationen

Für Windows Benutzer Öffne cmd und setze diesen Befehl

set http_proxy= xxx.xxx.xxx.xxx:xxxx (YOUR_IP:PORT)
set https_proxy= xxx.xxx.xxx.xxx:xxxx (YOUR_IP:PORT)
0
Terminal